%define momorel 5

Summary: PPP Over Ethernet (xDSL support)
Name: rp-pppoe
Version: 3.5
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
Source0: http://www.roaringpenguin.com/products/rp-pppoe/%{name}-%{version}.tar.gz
NoSource: 0
Source1: adsl-connect
Source2: adsl-setup
Source3: adsl-start
Source4: adsl-status
Source5: adsl-stop

Patch0: rp-pppoe-3.4-redhat.patch
Patch1: rp-pppoe-3.5-buildroot.patch

Url: http://www.roaringpenguin.com/pppoe/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: ppp >= 2.4.2
BuildPrereq: ppp >= 2.4.2

%description
PPPoE (Point-to-Point Protocol over Ethernet) is a protocol used by
many ADSL Internet Service Providers. This package contains the
Roaring Penguin PPPoE client, a user-mode program that does not
require any kernel modifications. It is fully compliant with RFC 2516,
the official PPPoE specification.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .buildroot

%build
cd src
perl -p -i -e "s|-ansi||" configure.in
autoconf
CFLAGS="-D_GNU_SOURCE" %configure --enable-plugin=$(pwd)/../ppp
make

install -m 0755 %{SOURCE1} scripts
install -m 0755 %{SOURCE2} scripts
install -m 0755 %{SOURCE3} scripts
install -m 0755 %{SOURCE4} scripts
install -m 0755 %{SOURCE5} scripts

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
make -C src install RPM_INSTALL_ROOT=%{buildroot}

mv %{buildroot}%{_sbindir}/* %{buildroot}/sbin

install -m 0755 %{SOURCE1} %{buildroot}/sbin
install -m 0755 %{SOURCE2} %{buildroot}/sbin
install -m 0755 %{SOURCE3} %{buildroot}/sbin
install -m 0755 %{SOURCE4} %{buildroot}/sbin
install -m 0755 %{SOURCE5} %{buildroot}/sbin

pushd %{buildroot}%{_sbindir}
ln -s ../../sbin/* .
popd

rm -rf %{buildroot}/etc/ppp/pppoe.conf \
       %{buildroot}/etc/ppp/plugins \
       %{buildroot}/etc/rc.d/init.d/pppoe \
       %{buildroot}/usr/doc

%clean
rm -rf %{buildroot}

%triggerpostun -- rp-pppoe < 3.5-5m
if [ -f /etc/init.d/adsl ]; then
   rm -f /etc/init.d/adsl
fi
exit 0
   
%triggerin -- rp-pppoe < 3.5-5m
/sbin/service adsl stop >/dev/null 2>&1 || true
/sbin/chkconfig --del adsl >/dev/null 2>&1 || true
   
BOOT=""
DEVPATH=/etc/sysconfig/networking/devices
NETDEV=ifcfg-xDSL

[ -f /etc/ppp/pppoe.conf ] && CONFIG=/etc/ppp/pppoe.conf . /etc/ppp/pppoe.conf >/dev/null 2>&1
[ -n "$BOOT" ] || exit 0
[ -n "$DEVICE" ] || exit 0
[ -d $DEVPATH ] || mkdir -p $DEVPATH

touch $DEVPATH/$NETDEV && chmod 700 $DEVPATH/$NETDEV
echo "DEVICE=$DEVICE" >$DEVPATH/$NETDEV

[ -n "$BOOT" ] || BOOT=no
echo "ONBOOT=$BOOT" >>$DEVPATH/$NETDEV 

if [ "$USEPEERDNS" = "yes" ]; then
        echo "PEERDNS=yes" >>$DEVPATH/$NETDEV 
else
        echo "PEERDNS=no" >>$DEVPATH/$NETDEV 
fi

echo "DEFROUTE=yes" >>$DEVPATH/$NETDEV 
echo "TYPE=xDSL" >>$DEVPATH/$NETDEV 
echo "ETH=$ETH" >>$DEVPATH/$NETDEV 
echo "USER=$USER" >>$DEVPATH/$NETDEV 
echo "PASS=$PASS" >>$DEVPATH/$NETDEV 
echo "DEMAND=$DEMAND" >>$DEVPATH/$NETDEV 
echo "CONNECT_TIMEOUT=$CONNECT_TIMEOUT" >>$DEVPATH/$NETDEV
echo "CONNECT_POLL=$CONNECT_POLL" >>$DEVPATH/$NETDEV
 
echo "PING=\".\"" >>$DEVPATH/$NETDEV 
echo "SYNCHRONOUS=$SYNCHRONOUS" >>$DEVPATH/$NETDEV
echo "CLAMPMSS=$CLAMPMSS" >>$DEVPATH/$NETDEV
echo "LCP_INTERVAL=$LCP_INTERVAL" >>$DEVPATH/$NETDEV
echo "LCP_FAILURE=$LCP_FAILURE" >>$DEVPATH/$NETDEV
echo "PPPOE_TIMEOUT=$PPPOE_TIMEOUT" >>$DEVPATH/$NETDEV
echo "FIREWALL=$FIREWALL" >>$DEVPATH/$NETDEV
echo "PPPOE_EXTRA=$PPPOE_EXTRA" >>$DEVPATH/$NETDEV
echo "PIDFILE=/var/run/pppoe-adsl.pid" >>$DEVPATH/$NETDEV
echo "SERVICENAME=$SERVICENAME" >>$DEVPATH/$NETDEV
echo "ACNAME=$ACNAME" >>$DEVPATH/$NETDEV

pushd /etc/sysconfig/network-scripts
ln -f ../networking/devices/$NETDEV ifcfg-$DEVICE
popd

exit 0

%files
%defattr(-,root,root)
%doc doc/LICENSE scripts/adsl-connect scripts/adsl-setup scripts/adsl-init
%doc scripts/adsl-start scripts/adsl-status scripts/adsl-stop
%doc configs

%config(noreplace) %{_sysconfdir}/ppp/pppoe-server-options
%config(noreplace) %{_sysconfdir}/ppp/firewall*

/sbin/*
%{_sbindir}/*
%{_mandir}/man?/*

%changelog
* Fri Jun  2 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5-5m)
- import patch from FC2
- obsolete rp-pppoe-gui

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (3.5-4m)
- revised spec for rpm 4.2.

* Mon Sep 22 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.5-3m)
- rebuild against ppp-2.4.2

* Fri Feb 21 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.5-2m)
  fix build error

* Wed Oct 23 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.5-1m)
- build against ppp-2.4.1-17m

* Sun Apr 14 2002 Masahiro Takahata <takahata@kondara.org>
- (3.3-10k)
- modified adsl-setup script ('s/hoge/fuga/' -> 's|hoge|fuga|')

* Fri Apr 12 2002 Shingo Akagaki <dora@kondara.org>
- (3.3-8k)
- kernel-mode support in adsl-setup command

* Thu Apr 11 2002 Shingo Akagaki <dora@kondara.org>
- (3.3-6k)
- add kernel-mode plugin

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (3.3-4k)
- nigittenu

* Fri Jun  8 2001 Shingo Akagaki <dora@kondara.org>
- (3.0-6k)
- add BuildPrereq: ppp tag

* Wed May  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.0-4k)
- errased PreReq: libtool tag

* Thu Apr 26 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (3.0-2k)
- update to 3.0

* Sat Feb 10 2001 Shinya Tomobe <betiz@bigfoot.com>
- update to 2.8 .

* Sat Feb 05 2001 Shinya Tomobe <betiz@bigfoot.com>
- changed spec file for kondara.

